Subject: Re: bug#5990: 23.1; Cannot type the word 買います

From: Andrew Hyatt <[email-masked]>
Date: Sun, 07 Aug 2016 00:05:45 -0400

Trying this out Emacs 25, I get completely different text.  My choices
are:

かいます
垣間す
加居間す
過居間す
可居間す

I don't read Japanese, so I can't comment on how appropriate any of the
matches are.

>From what I can tell, the Japanese word list is build off of
http://openlab.ring.gr.jp/skk/skk/dic/SKK-JISYO.L.  I don't know about
the process of changing that.

Erik Mekhsian <[email-masked]> writes:

> Setting the input method to Japanese and typing the word "kaimasu", then
> hitting <space> to cycle through the list of replacement kanji shows
> only 改マス and 開マス.  In particular, I expected to see 買います,
> although 飼います, 交います, and 支います should be there as well.  This
> is the only word I have had this problem with so far.
>
> In GNU Emacs 23.1.1 (i486-pc-linux-gnu, GTK+ Version 2.18.3)
>  of 2010-03-25 on palmer, modified by Debian
> Windowing system distributor `The X.Org Foundation', version 11.0.10604000
> configured using `configure  '--build=i486-linux-gnu'
> '--host=i486-linux-gnu' '--prefix=/usr' '--sharedstatedir=/var/lib'
> '--libexecdir=/usr/lib' '--localstatedir=/var/lib'
> '--infodir=/usr/share/info' '--mandir=/usr/share/man' '--with-pop=yes'
> '--enable-locallisppath=/etc/emacs23:/etc/emacs:/usr/local/share/emacs/23.1/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/23.1/site-lisp:/usr/share/emacs/site-lisp:/usr/share/emacs/23.1/leim'
> '--with-x=yes' '--with-x-toolkit=gtk' '--with-toolkit-scroll-bars'
> 'build_alias=i486-linux-gnu' 'host_alias=i486-linux-gnu'
> 'CFLAGS=-DDEBIAN -g -O2' 'LDFLAGS=-g' 'CPPFLAGS=''
>
> Important settings:
>   value of $LC_ALL: nil
>   value of $LC_COLLATE: nil
>   value of $LC_CTYPE: nil
>   value of $LC_MESSAGES: nil
>   value of $LC_MONETARY: nil
>   value of $LC_NUMERIC: nil
>   value of $LC_TIME: nil
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
>   default-enable-multibyte-characters: t
>
> Major mode: Text
>
> Minor modes in effect:
>   tooltip-mode: t
>   tool-bar-mode: t
>   mouse-wheel-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   global-auto-composition-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
>
> Recent input:
> C-x C-f j p t s t . t x t <return> C-\ j a p a n e
> s e <return> k a i m a s u SPC SPC SPC SPC SPC SPC
> SPC <return> M-x r e p o r t - e m <tab> <return>
>
> Recent messages:
> For information about GNU Emacs and the GNU system, type C-h C-a.
> (New file)
> Loading quail/japanese...done
> Loading /home/akira/.kkcrc...done
> /usr/bin/mail is not an executable.  Setting mail-interactive to t.
> Loading ja-dic/ja-dic...done